UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 3331

Y2K: Xilinx Software YEAR 2000 Compliance (including information about PC / WS Operating Systems and EDA Vendors)

Description

Keywords: year 2000 compliance, y2k, Y2K, 2k, Y2k, millennium, EDA, OS

Urgency: HOT

*Are all the Xilinx Software products Year 2000 Compliant?
*What PC and WS Operating Systems are Year 2000 Compliant?
*What version(s) of EDA Software are Year 2000 Compliant?

The answers to these 3 questions above are answered in the resolutions below:

Solution

1

*What PC and WS Operating Systems are Year 2000 Compliant?

NOTE:The information below has been compiled from several 3rd Party
and/or vendor websites. Please be aware that this information is subject to change.
Xilinx, Inc. will not assume any liability for the accuracy or correctness of the following
data. To be assured of the most current information, please reference the individual
vendors' websites below.

PC Platforms:

-Windows NT (w/ SP 4 or higher)
-Windows 98

NOTE: Win95 is NOT specifically Year 2000 compliant. Microsoft
encourages people to upgrade their operating systems to NT 4.0
and provides several reasons to do so:
http://www.microsoft.com/windows95/whyupgrade/runningW95NT.asp

-Foreign language Windows OSs are foundationally the same as
their English versions. So if the English version is compliant, so are
the foreign language versions with the appropriate vendor patches.

WS Platforms:

-Solaris: Solaris operating environments (7, 2.6, 2.5.1, 2.5, 2.4, and 2.3)
are Year 2000 compliant with free modifications available via a download:
http://www.sun.com/y2000/enhancements.html

-HP-UX: HP-UX 10.01, 10.10, 10.20, and 11.0 are compliant with user
installation of Y2K patches, available at:
http://www.software.hp.com/HPUX_INFO_CENTER/#hardware

2

*What versions of EDA Software are Year 2000 Compliant ?

NOTE:The information below has been compiled from several 3rd Party
and/or vendor websites. Please be aware that this information is subject to change.
Xilinx, Inc. will not assume any liability for the accuracy or correctness of the following
data. To be assured of the most current information, please reference the individual
vendors' websites below.


EDA Vendors:

-Synplicty Software products Certify, Synplify and HDL Analyst,
versions 3.0c2 or later are ready for Year 2000:
http://www.synplicity.com

-Synopsys FPGA Express v3.0 1998.08 and FPGA Compiler
v3.0 1998.08 are Y2k compliant:
http://www.synopsys.com
-Exemplar Leonardo versions 4.01 and forwards and
LeonardoSpectrum versions 1998.2 and forward are Y2k compliant:
http://www.mentor.com

-Model Technology Y2K Statement of Compliance basically
states that none of their software is date dependent, and thus
Y2k change will not affect their software:
http://www.model.com

-Viewlogic's Workview Office 7.5 (and subsequent versions) suite
of products will be tested and made year 2000 Compliant. The
current Year 2000 Compliant status of individual products follows:
http://www.viewlogic.com

-Mentor Graphics is providing a release of internally developed
products that has been rigorously reviewed, thoroughly tested,
and is fully certified as Year 2000 Ready. The working
designation for this version is "C.2," and it began shipping
in August, 1998. All releases after C.2 will also be Year 2000 Ready:
http://www.mentor.com

-Cadence's Year 2000 project for Product compliance, comprehensive
details on Product status, Product FAQ's and a list of identified/resolved
Product Y2K problems is defined here:
http://www.cadence.com/

3

*Are all the Xilinx Software products Year 2000 Compliant?

Xilinx Alliance Series and Foundation Series products version 1.5
released in August and September of 1998 are certified as Year 2000
compliant. All Xilinx Software releases subsequent to 1.5 will also
be certified as Year 2000 compliant. All customers with a current
support contract should have automatically received the 1.5 release or
versions subsequent to release 1.5.

Any product release prior to the 1.5 release has not been tested for
Year 2000 compliance. Since releases of Xilinx software prior to
release 1.5 are no longer being shipped to our customers, it is not
Xilinx' intent to qualify them as Year 2000 compliant.

The following content is from a letter that was sent out in the month
of December ('99) to our exiting XACT software customer base:

Dear Customer,

Our records show you as a user of the XACT software from Xilinx.
The following information is regarding the Y2K compliance of this tool.

XACT is not Y2K compliant. It was not designed or tested for
Y2K compliance. Beginning 1/1/2000, Xilinx will only offer technical
support on the 2.1i and 1.5i software families. If you must keep an
archived version available, here is our recommendation:

Take the machine running XACT off the network
Set the machine's date back to a date before 1/1/2000. Although
this is not a suggested long term solution, short term benefits
can be realized.

To update your software, please contact your local sales office
or visit the "Silicon Xpresso Cafe" at www.xilinx.com.


Thanks and Regards,
Timothy Bates
Software Product Line Manager



As indicated above, in order to update your software, please contact your local
sales office, or visit Xilinx web site at:

http://toolbox.xilinx.com/cgi-bin/xilinx.storefront/1031001329/Catalog


Other Xilinx software including all releases of Core Generator and all
serial PROM programmers are certified as Y2K compliant.

If you have any further question regarding Xilinx Year 2000
Compliance, please send an e-mail to: y2khelp@xilinx.com
AR# 3331
Date Created 01/23/1998
Last Updated 04/06/2000
Status Archive
Type General Article